device_type: '$device_type'
job_name: 'zephyr-upstream $test_name'

timeouts:
  job:
    minutes: 30
  action:
    minutes: 3
  actions:
    wait-usb-device:
      seconds: 40

# We submit gazillion of Zephyr test jobs, so set priority to low, to
# allow e.g. manually submitted job to preempt such a flow and run sooner
# than in a few hours.
priority: low
visibility: public

actions:
- deploy:
    timeout:
      minutes: 3
    to: tmpfs
    images:
        zephyr:
          url: '$test_url'

- boot:
    method: pyocd
    failure_retry: 3
    timeout:
      minutes: 3

- test:
    timeout:
      minutes: 10
$test_action

metadata:
  build-url: $build_url
  build-log: $build_url/consoleText
  zephyr-gcc-variant: $gcc_variant
  platform: $board_name
  git-url: https://git.linaro.org/zephyrproject-org/zephyr.git
  git-commit: $git_commit
